Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class ClickThroughEventFilter

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.ClickThroughEventFilter

All Implemented Interfaces
  javax.servlet.Filter

    public class ClickThroughEventFilter

extends Object
implements javax.servlet.Filter

Filters can interact with external resources. In this case, we associate the filter with the WebflowServlet (see web.xml) so that, each time the Webflow servlet is called, this filter is invoked to generate a ClickThroughEvent for behavior tracking.

Constructor Summary
`ClickThroughEventFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Called when the servlet associated with this filter is invoked.
`javax.servlet.FilterConfig` | `getFilterConfig()` Required by Filter interface
`void` | `init(javax.servlet.FilterConfig fc)` The init method is called by the container when the filter is instantiated.
`void` | `setFilterConfig(javax.servlet.FilterConfig fc)` Required by Filter interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickThroughEventFilter

    public ClickThroughEventFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig fc)
              throws javax.servlet.ServletException

  The init method is called by the container when the filter is instantiated.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### setFilterConfig

    public void setFilterConfig(javax.servlet.FilterConfig fc)

  Required by Filter interface

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

  Required by Filter interface

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Called when the servlet associated with this filter is invoked. We fire a click through event, then send it on to the next filter in the chain, if there is one.

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.